Get share
GET
/api/share/{id}
Returns share metadata and increments the view counter. Publicly accessible.
Authorizations
Token
Format: token <value>. Types: user (session) or uploader (API token).
Type
API Key (header: Authorization)
Parameters
Path Parameters
id*
Type
Requiredstring
Responses
OK
application/json
JSON "id": "string", "ownerId": "string", "type": "string", "createdAt": "string", "views": 0, "protected": true, "owner": { "id": "string", "username": "string" }, "file": { "id": "string", "name": "string", "size": "string", "mime": "string" }, "folder": { "id": "string", "name": "string", "fileCount": 0, "folderCount": 0 }, "collection": { "id": "string", "name": "string", "fileCount": 0 }, "paste": { "id": "string", "name": "string", "type": "string", "content": "string" }
{
}
